package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

/**
 * 用户分组
 * @param <M>
 */
public abstract class BaseUserGroup<M extends BaseUserGroup<M>> extends TioModel<M> implements IBean {
	/**
	 * id
	 */
	public void setId(Integer id) {
		set("id", id);
	}
	
	/**
	 * id
	 */
	public Integer getId() {
		return getInt("id");
	}

	/**
	 * 名称
	 */
	public void setName(String value) {
		set("name", value);
	}
	
	/**
	 * 名称
	 */
	public String getName() {
		return getStr("name");
	}

	public void setUid(Integer value) {
		set("uid", value);
	}

	public Integer getUid(){
		return getInt("uid");
	}

	/**
	 * 类型
	 */
	public void setType(Integer value){
		set("type", value);
	}

	/**
	 * 类型
	 */
	public Integer getType(){
		return getInt("type");
	}

	/**
	 * 创建时间
	 */
	public void setCreatetime(java.util.Date createtime) {
		set("createtime", createtime);
	}
	
	/**
	 * 创建时间
	 */
	public java.util.Date getCreatetime() {
		return getDate("createtime");
	}
}

